IE9與ckeditor相容性問題

假設你的網站是近兩年的作品,而且有使用ckeditor+ckfinder的組合的話,剛好最近又有更新微軟的IE9,那可能真的會遇到不相容的問題。

問題是後出的IE9,並沒有這麼好的兼容性,同樣的問題卻是在IE7/IE8中不存在的,所以這邊我很肯定,在CKeditor切到原始碼,無法編輯的問題,是IE9兼容性不足的問題。我遇到狀況的版本是Ckeditor 3.1版的,目前官方的版本是3.5.2,看起來版本版次真的差很多。

CKeditor在介紹這個版本的時候,有寫到IE9兼容性的問題,所以才推出這個版本。
We would like to announce the latest release of CKEditor. CKEditor 3.5.2 is a maintenance release for the CKEditor 3.x line. It is a special Internet Explorer 9 RC compatibility release containing a handful of fixes that should improve the editor support in the freshest edition of Microsoft browser.

現在我的CKeditor+CKfinder的組合會先頂著用,畢竟換版本,要Tune的參數太多(要說是CKEditor功能太強大嗎?),我每一個都方都要小心仔細,不然出了問題可就不好了。反正我使用Firefox的情況下比較多,IE9不能work時,我最多切回firefox來使用。



无觅相关文章插件,快速提升流量

發表迴響

你的電子郵件位址並不會被公開。 必要欄位標記為 *

*